Content Management and Capture

 View Only
Expand all | Collapse all

Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

  • 1.  Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Tue October 19, 2021 02:44 AM
    Edited by dsakai Tue October 19, 2021 02:47 AM
    Hi,
    Has anyone tried scanning a paper using a scanner machine connected to PC
    from Datacap Navigator on Chrome? Chrome is the latest version.
    I executed DybamicWebTWAINHtml5edition.exe, cleared Chrome cache, and tried scanning.
    But again and again, I see a popup window instructing me to download and install DybamicWebTWAINHtml5edition.exe.
    How can I configure Chrome so that it knows I have installed DybamicWebTWAINHtml5edition?
    Datacap version is 9.0.1 FP2.
    Datacap version cannot be updated.
    May be DybamicWebTWAINHtml5edition.exe in Datacap is too old for the latest Chrome?
    If you know the download site for the latest DybamicWebTWAINHtml5edition.exe, please tell me.


    ------------------------------
    dsakai
    ------------------------------


  • 2.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Wed October 20, 2021 09:05 AM

    Hi,

    Have you tried this below link?

    https://www.ibm.com/docs/en/datacap/9.1.8?topic=icdn-configuring-content-security-policy-header-in-datacap-navigator

    or 

    https://www.ibm.com/support/pages/node/6371304

    Thanks.



    ------------------------------
    Geetha Jini C
    ------------------------------



  • 3.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Thu October 21, 2021 01:33 PM
    Hello, I tried this. However, I still met the same phenomenon. I was asked again to install DybamicWebTWAINHtml5edition.exe.
    In this environment, the scan can be performed correctly by Internet Explorer 11. I tried as follows:

    - C:\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\xxxNode01Cell\navigator.ear\navigator.war\WEB-INF
    Editing "web.xml" with the reference https://www.ibm.com/support/pages/node/6229174 .
    I replaced the entire of the section, "<filter-name>ESAPIWebApplicationFirewallFilter</filter-name>"

    With,  "<param-value>C:\\IBM\\ECMClient\\config\\ESAPIWafPolicy.xml</param-value>" .

    - I created a file C:\IBM\ECMClient\config\ESAPIWafPolicy.xml
    with the reference https://www.ibm.com/support/pages/node/6371304 .

    - Stop IIS on the Windows Service menu.
    - Stop WAS on the Windows Service menu.
    - Remove cache files:
             C:\IBM\WebSphere\AppServer\profiles\AppSrv01\wstemp\*
             C:\IBM\WebSphere\AppServer\profiles\AppSrv01\temp\xxxNode01\server1\navigator

    - Start WAS on the Windows Service menu.
    - Start IIS on the Windows Service menu.
    - Clear cache in Google Chrome.
    - Log in for Datacap Navigator.
    - Open the scan page.
    - Result = the message again. The error message in the development console in Chrome was as follows:

    dynamsoft.webtwain.initiate.js:171 WebSocket connection to 'wss://127.0.0.1:18619/' failed:
    Dynamsoft.Lib.getWS @ dynamsoft.webtwain.initiate.js:171

    Please give me any advise. Where must I check ?
    Version are so old; Datacap Navigator plugin version: tm901.002.163 and icn203.819.543

    Thank you for your cooperation.

    ------------------------------
    KOJI YAMADA
    ------------------------------



  • 4.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Fri October 22, 2021 09:57 AM
    Hello,

    Let us add one more thing.  This symptom happens only using Chrome.  IE11 and the latest Firefox works fine.  What makes difference?

    ------------------------------
    AKIRA SHIMIZU
    ------------------------------



  • 5.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Thu October 21, 2021 04:21 PM
    >>May be DybamicWebTWAINHtml5edition.exe in Datacap is too old for the latest Chrome?

    I think this is likely.

    Try it with the oldest version of Chrome you can find.

    Why can't you upgrade Datacap?


    ------------------------------
    Tod DeBie
    ------------------------------



  • 6.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Fri October 22, 2021 03:50 AM
    Hello, I tried them by very old version of Chrome (ver.49) and I could open the scan page successfully.

    On other hand, I tried to access another Datacap 9.1.8 Navigator server by the latest Chrome.
    Then, the same problem occurred. This server is in a BSF (firewall). So, I tried the same access from inside of this BSF.
    The problem did not occur. The scan could be performed correctly.

    According above, I am guessing that the root of this problem may be on network security.

    ------------------------------
    KOJI YAMADA
    ------------------------------



  • 7.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Fri October 22, 2021 12:14 PM
    Seems like it might be network security related. Can you use a VPN to traverse the firewall?

    ------------------------------
    Tod DeBie
    ------------------------------



  • 8.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Tue July 26, 2022 12:01 PM
    I had this issue with 9.1.9. 
    I followed steps in this support page and solved it. I could finally use VScan from Chrome Navigator.

    https://www.ibm.com/support/pages/node/6371304

    I needed to manually override an XML configuration.
    This shouldn't be a typical installation step before a standard function like VScan.
    I hope in a future release, such a debugging workaround step won't be needed.

    ------------------------------
    dsakai
    ------------------------------



  • 9.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Fri October 22, 2021 04:50 AM
    I heard, as one of solutions, the way to suppress the SSL warning at localhost by the setting in Chrome.

    Access to chrome://flags/#allow-insecure-localhost
    Then, "Allow invalid certificates for resources loaded from localhost."
    Change to "Enable".

    ------------------------------
    KOJI YAMADA
    ------------------------------



  • 10.  RE: Chrome Datacap Navigator keeps asking me to download and install DybamicWebTWAINHtml5edition.exe

    Posted Mon November 01, 2021 04:15 AM
    Sorry for my no update for 1 week.
    It seems that this will be solution toward this problem.
    I will ask the customer whether this setting on Chrome will be allowed for the own security policy.

    Thank you for world wide participants on the forum.

    ------------------------------
    KOJI YAMADA
    ------------------------------